=== debian/changelog ===
alternc (0.9.6.2) stable; urgency=high

  * repackage 0.9.6.1 properly: include all latest fixes, which didn't make it
    to the package
  * don't put postfix in pre-depends
  * urgency=high because 0.9.6.1 doesn't include all the security fixes it
    pretends

 -- Antoine Beaupré <anarcat@koumbit.org>  Wed, 17 Jan 2007 15:58:39 -0500

alternc (0.9.6.1) stable; urgency=high

  * Emergency release to fix issues with release 0.9.6.
  * Fix a security issue with override_php.conf not being configured in apache, effectively disabling open_basedir restrictions. Closes: #1005
  * Show installation warning only once. Closes: #737
  * Make it possible to erase files and directories in file browser. Closes: #1002.
  * Fix mail accounts creation. Closes: #1003.
  * Fix a race condition in update_domains.sh which could allow users to
    bypass openbasedir protection when creating domains. Reported by 
    Jerome Moinet.

 -- Antoine Beaupré <anarcat@koumbit.org>  Fri, 12 Jan 2007 15:59:42 -0500

alternc (0.9.6) stable; urgency=high

  * Replacing C setuid scripts by perl-suid one. AlternC is now arch-indep !
  * Do not overwrite httpd.conf anymore. Everything is now done through includes in the /etc/apache/conf.d/ directory
  * Fix security issues with file browser and domain management that allowed an attacker to inspect the filesystem, create files in other accounts and perform cross site scripting javascript attacks. Credit: thabob.
  * #563: do not overwrite php.ini anymore. Everything is configured in the
    apache config.
  * All other bugs are postponed to 0.9.7 because of the security issue (hence
    urgency=high). See https://dev.alternc.org/trac/alternc/milestone/0.9.6
    for more information.

 -- Antoine Beaupré <anarcat@koumbit.org>  Mon, 27 Nov 2006 21:26:32 +0000

alternc (0.9.5) stable; urgency=low

  * maintenance release to fix packaging and security bugs
  * see https://dev.alternc.org/trac/alternc/milestone/0.9.5 for milestone
  * changelog at https://dev.alternc.org/trac/alternc/query?status=closed&milestone=0.9.5
  However, this version contains mainly :
  * quota management fixes
  * bind now forbid recursion and domain poisoning
  * now using po-debconf
  * mysql right management now included in the web desktop.
  * .eu tld domain is now allowed.
  * postfix is now using saslauthd with rimap for smtp sasl authentication

 -- Benjamin Sonntag <benjamin@alternc.org>  Thu,  4 May 2006 03:55:30 +0200

alternc (0.9.4) stable; urgency=low

  * maintenance release to fix packaging and security bugs
  * see https://dev.alternc.org/trac/alternc/milestone/0.9.4 for milestone
  * changelog at https://dev.alternc.org/trac/alternc/query?status=closed&milestone=0.9.4
  However, this version contains mainly : 
  * Integration of Globenet patchs (replacement of do_domains.sh by update_domains.sh and others)
  * Changing mysql database creation from uid to login name
  * Major improvements in FHS compliance
  * Major improvements in config file management and debconf idempotency

 -- Benjamin Sonntag <benjamin@alternc.org>  Wed, 29 Mar 2006 19:34:41 +0200

alternc (0.9.3.1) testing; urgency=low

  * maintenance release to fix packaging and security bugs
  * see http://mantis.alternc.org/view.php?id=436 for milestones
  * full changelog at: http://mantis.alternc.org/changelog_page.php
  * Arch: all to have this package available in all architectures
  * take over maintainership
  * release sponsored by Koumbit.net

 -- Antoine Beaupre <anarcat@koumbit.org>  Thu, 19 Jan 2006 20:48:45 +0000

alternc (0.9.3.9-globenet10) stable; urgency=low

  * Fix typo in sqlbackup.sh.
  * Another fix for empty host in update_domains.sh.
  * Fix database name spliting in the bureau.
  * Fix zone reload and php overrides bugs in update_domains.sh.
  * Don't try to generate php override file for IP hosts.
  * Redirect apache reload output to the log file in update_domains.sh.
  * Fix sendmail wrapper behaviour w.r.t. Sender header.
  * Correct Section and Maintainer field for the Debian package.

 -- Lunar <lunar@anargeek.net>  Sat, 15 Oct 2005 02:43:37 +0200

alternc (0.9.3.9-globenet9) unstable; urgency=low

  * Fix deletion of empty host in update_domains.sh.
  * Fix DNS zone serial generation.

 -- Lunar <lunar@anargeek.net>  Thu, 22 Sep 2005 00:26:15 +0200

alternc (0.9.3.9-globenet8) unstable; urgency=low

  * Finally fix empty host handling in update_domains.sh. 

 -- Lunar <lunar@anargeek.net>  Wed, 21 Sep 2005 23:45:06 +0200

alternc (0.9.3.9-globenet7) unstable; urgency=low

  * Fix menulist.txt symlink target.

 -- Lunar <lunar@anargeek.net>  Wed, 21 Sep 2005 21:26:02 +0200

alternc (0.9.3.9-globenet6) unstable; urgency=low

  * Create menulist.txt symbolic link in debian/rules
  * Make menulist.txt migration more likely to happen

 -- Lunar <lunar@anargeek.net>  Wed, 21 Sep 2005 21:08:08 +0200

alternc (0.9.3.9-globenet5) unstable; urgency=low

  * Rewrite sqlbackup.sh, enabling non-local MySQL server
  * allow mysql users connection from the web server (jonathan)
  * Move menulist.txt to /etc/alternc
  * Fix update_domains.sh not working with empty hostnames

 -- Lunar <lunar@anargeek.net>  Wed, 21 Sep 2005 19:57:59 +0200

alternc (0.9.3.9-globenet4) unstable; urgency=low

  * named.template now points to the correct directory..

 -- Lunar <lunar@anargeek.net>  Thu, 15 Sep 2005 00:00:37 +0200

alternc (0.9.3.9-globenet3) unstable; urgency=low

  * Fix mail not sent from PHP scripts
  * Actually exit update_domains.sh when killed
  * Fix templates warning
  * Fix reverse DNS test for BIND_INTERNAL

 -- Lunar <lunar@anargeek.net>  Wed, 14 Sep 2005 23:54:23 +0200

alternc (0.9.3.9-globenet2) unstable; urgency=low

  * Fix alternc.install failling when unable to backup an unecessary file.

 -- Lunar <lunar@anargeek.net>  Tue,  6 Sep 2005 23:18:56 +0200

alternc (0.9.3.9-globenet1) unstable; urgency=low

  * Major overhaul of configuration and install system:

